package de.ozgcloud.apilib.common.errorhandling;

import de.ozgcloud.common.datatype.StringBasedValue;

public class NotFoundException extends RuntimeException {

	private static final String MESSAGE_TEMPL = "%s with id '%s' not found.";

	public NotFoundException(StringBasedValue id, String entityName) {
		super(MESSAGE_TEMPL.formatted(id.toString(), entityName));
	}
}
